LOGGER(1)

NAME
logger - make entries in the system log

SYNOPSIS
logger [ -t tag ] [ -p pri ] [ -i ] [ -f file ] [ message ... ]

ARGUMENTS

-t tag
    Mark every line in the log with the specified tag.

-p pri
    Enter the message with the specified priority. The priority may be specified numerically or as a ``facility.level'' pair. For example, ``-p local3.info'' logs the message(s) as informational level in the local3 facility. The default is ``user.notice.''

-i  Log the process id of the logger process with each line.

-f file
    Log the specified file.

message
    The message to log; if not specified, the -f file or standard input is logged.

DESCRIPTION
Logger provides a program interface to the syslog(3) system log module.

A message can be given on the command line, which is logged immediately, or a file is read and each line is logged.

EXAMPLES
logger System rebooted

logger -p local0.notice -t HOSTIDM -f /dev/idmc

SEE ALSO
syslog(3), syslogd(8)